;//Title NASM 32-bit test code for BeOS 5
;//Version 1.0 - Build 2000.03.12
;//Copyright (C) 2001 Kevin H. Patterson

BITS 32

True EQU -1
False EQU 0

;//Exports

GLOBAL AsmAddFunc

;//Data

SEGMENT .data align=16 class=DATA use32

;//Code

SEGMENT .text align=16 class=CODE use32

;//Function AsmAddFunc

;//GCC Calling Conventions
;//  Functions must preserve:
;//    ebp
;//    esi
;//    edi
;//    ebx
;//    st(*) (entire floating-point stack, if used)
;//  Function Return Values:
;//    Reference (pointer) : eax
;//    32-bit value : eax
;//    64-bit value : edx:eax
;//    Float : st(0)

%define Adx_Dest [ebp+08h]
%define Adx_Source [ebp+0Ch]

ALIGN 16

AsmAddFunc:
push ebp
mov ebp,esp
push ebx
pushfd
	mov ebx,Adx_Dest
	mov eax,[ebx]
	mov ebx,Adx_Source
	add eax,[ebx]
	mov ebx,Adx_Dest
	mov [ebx],eax
	add eax,1
popfd
pop ebx
pop ebp
ret

end
