
#include "clsOutputWindow.h"

#include <Application.h>
#include <stdio.h>

const BRect uWindowFrame(100,100,300,300);
const BRect uButtonFrame(80,90,120,110);
const char* uWindowName = "Asm Test";
const char* uButtonName = "Start";

clsOutputWindow::clsOutputWindow() :
	BWindow(uWindowFrame, uWindowName, B_TITLED_WINDOW, B_WILL_DRAW)
{
	StartButton = new BButton(uButtonFrame, uButtonName, uButtonName, new BMessage('PRES'));
	AddChild(StartButton);
}

bool clsOutputWindow::QuitRequested()
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	return BWindow::QuitRequested();
}

void clsOutputWindow::MessageReceived(BMessage* Message)
{
	switch(Message->what)
	{
	case 'PRES':
		char Title[100];
		int var1;
		int var2;
		int var3;
		var1 = 100;
		var2 = 405;
		var3 = 900;
		var3 = ::AsmAddFunc(&var1, &var2);
		sprintf(Title, "Pressed! %d", var1);
		SetTitle(Title);
	  break;
	default:
	  BWindow::MessageReceived(Message);
	}
}
